<?php
/**
 * @connect_module_class_name SMSPILOTRU
 */
class SMSPILOTRU extends SMSMail {
	
	function _initVars(){
		
		$this->title = 'SMSPILOT.RU';
		$this->description = '<a href="http://www.smspilot.ru/">SMSPILOT.RU</a>';
		$this->sort_order = 0;
		
		$this->Settings = array(
			'CONF_SMSMAIL_MODULE_SMSPILOTRU_APIKEY',
			'CONF_SMSMAIL_MODULE_SMSPILOTRU_SENDER'
		);
	}
	
	function _initSettingFields(){
		
		$this->SettingsFields['CONF_SMSMAIL_MODULE_SMSPILOTRU_APIKEY'] = array(
			'settings_value' 		=> '', 
			'settings_title' 			=> 'API-ключ', 
			'settings_description' 	=> 'Указан в <a href="https://www.smspilot.ru/my.php" target="_blank">личном кабинете</a>', 
			'settings_html_function' 	=> 'setting_TEXT_BOX(0,', 
			'sort_order' 			=> 1,
		);
		$this->SettingsFields['CONF_SMSMAIL_MODULE_SMSPILOTRU_SENDER'] = array(
			'settings_value' 		=> 'Авто', 
			'settings_title' 			=> 'Имя отправителя (подпись)', 
			'settings_description' 	=> 'Оставьте &quot;Авто&quot;, чтобы использовать значение из настроек в ЛК', 
			'settings_html_function' 	=> 'setting_TEXT_BOX(0,', 
			'sort_order' 			=> 1,
		);
	}

	function _prepareRequest($_SMSMessage, $_PhonesList, $_Params){
		
		if(!$_SMSMessage)return null;
		if(!count($_PhonesList))return null;
		
		$from = $this->_getSettingValue('CONF_SMSMAIL_MODULE_SMSPILOTRU_SENDER');
		
		$Request = 'send='.urlencode($_SMSMessage).
				'&to='.implode(',',$_PhonesList).
				'&from='.(($from == 'Авто') ? '' : urlencode( $from )).
				'&apikey='.$this->_getSettingValue('CONF_SMSMAIL_MODULE_SMSPILOTRU_APIKEY').
				'';
		return $Request;
	}
	
	function _sendRequest($_Request){
		
		$url = 'http://smspilot.ru/api.php?'.$_Request;
		return file($url);
	}
	
	function _parseResponce($_Responce){
		
//		print '<pre>';
//		print_r($_Responce);
//		print '</pre>';
//		die;
	}
}
?>